var gameOver = function(game) {
    myscore = -1;
    mydystans = -1;
    myTimeout = null;
}

gameOver.prototype = {
    init : function(array) {
        myscore = array.score;
        mydystans = array.dystans;
        highScore = localStorage.getItem("highScore");
        if(!highScore || highScore < array.score){
            highScore = array.score;
            localStorage.setItem("highScore", highScore); 
        };
        maxDistance = localStorage.getItem("maxDistance") * 0.1;
        console.log(maxDistance);
    },
    create : function() {
        var gameOverTitle = this.game.add.sprite(0, 0, "score");
        gameOverTitle.anchor.setTo(0, 0);
        var playButton = this.game.add.button(515,495, "play", this.playTheGame, this);
        playButton.anchor.setTo(0, 0);
        
        var dystansText = this.game.add.text(380, 226, mydystans);
        dystansText.anchor.setTo(0, 0);
        dystansText.font = 'Press Start 2P';
        dystansText.fontSize = 22;        
        
        var scoreText = this.game.add.text(380, 301, myscore);
        scoreText.anchor.setTo(0, 0);
        scoreText.font = 'Press Start 2P';
        scoreText.fontSize = 22;
        
        var rankText = this.game.add.text(380, 164, "1");
        rankText.anchor.setTo(0, 0);
        rankText.font = 'Press Start 2P';
        rankText.fontSize = 22;
        
        var highScoreText = this.game.add.text(380, 430, highScore);
        highScoreText.anchor.setTo(0, 0);
        highScoreText.font = 'Press Start 2P';
        highScoreText.fontSize = 22;
        
        var maxDistanceText = this.game.add.text(380, 490, maxDistance.toFixed(1) + "m");
        maxDistanceText.anchor.setTo(0, 0);
        maxDistanceText.font = 'Press Start 2P';
        maxDistanceText.fontSize = 22;
        
        if (navigator.isCocoonJS) {
            this.game.world.scale.x = ratio.x;
            this.game.world.scale.y = ratio.y;
            this.game.world.updateTransform();
        }
        
        myTimeout = setTimeout(function() { this.game.state.start("GameTitle"); }, 5000);        
        
    },
    playTheGame : function() {
        clearTimeout(myTimeout);
        this.game.state.start("TheGame");
    }
}